WHEREIS(1)

NAMN
whereis - hitta binärfilerna, källfilerna och sidorna med manualer för ett kommando

SYNOPSIS

whereis [flaggor] [-BMS katalog... -f] namn...

BESKRIVNING

whereis lokaliserar binär-, käll- och manualfiler för de angivna kommandonamnen. De angivna namnen är först befriade från ledande sökvägskomponenter. Prefix med s. som härrör från användning av källkodskontroll hanteras också. whereis försöker sedan hitta det önskade programmet på Linux standardplatser och på de platser som anges av $PATH och $MANPATH.

Sökbegränsningarna (flaggorna -b, -m och -s) är kumulativa och gäller för de efterföljande namn-mönstren på kommandoraden. Varje ny sökbegränsning återställer sökmasken. Till exempel,

    whereis -bm ls tr -m gcc

söker efter binärfiler och man-sidor för "ls" och "tr", och endast efter man-sidor för "gcc".

Flaggorna -B, -M och -S återställer sökvägarna för de efterföljande namn-mönstren. Till exempel,

    whereis -m ls -M /usr/share/man/man1 -f cal

söker efter "ls" manualsidor i alla standardsökvägar, men endast efter "cal" i katalogen /usr/share/man/man1.

FLAGGOR

-b
    Sök efter binära filer.

-m
    Sök efter manualer.

-s
    Sök efter källor.

-u
    Visa endast de kommandonamn som har ovanliga poster. Ett kommando sägs vara ovanligt om det inte bara har en post av varje explicit efterfrågad typ. Således frågar "whereis -m -u *" efter de filer i den aktuella katalogen som inte har någon dokumentationsfil, eller mer än en.

-B lista
    Begränsa de platser där whereis söker efter binärfiler, med en blankstegseparerad lista över kataloger.

-M lista
    Begränsa de platser där whereis söker efter manualer och dokumentation i Info-format med en lista över kataloger separerade med blanksteg.

-S lista
    Begränsa de platser där whereis söker efter källor med en blankstegsseparerad lista över kataloger.

-f
    Avslutar kataloglistan och signalerar början på filnamnen. Det måste användas när någon av flaggorna -B, -M eller -S används.

-l
    Skriv ut listan med effektiva sökvägar som whereis använder. Om inget av -B, -M eller -S anges, kommer flaggan att visa de hårdkodade sökvägar som kommandot kunde hitta i systemet.

-g
    Tolkar nästa namn som ett glob(7)-mönster. whereis jämför alltid endast filnamn (även kallat basnamn) och aldrig hela sökvägen. Att använda katalognamn i mönstret har ingen effekt. Glöm inte att skalet tolkar mönstret när det anges på kommandoraden utan citattecken. Det är nödvändigt att använda citattecken för namn, till exempel:

        whereis -g 'find*'

-h, --help
    Visa hjälptext och avsluta.

-V, --version
    Visa version och avsluta.

SÖKVÄGAR FÖR FILER

Som standard försöker whereis hitta filer från hårdkodade sökvägar, som definieras med globmönster. Kommandot försöker använda innehållet i miljövariablerna $PATH och $MANPATH som standardsökväg. Det enklaste sättet att få reda på vilka sökvägar som används är att lägga till listningsflaggan -l. Effekterna av -B, -M och -S visas med -l.

MILJÖ

WHEREIS_DEBUG=all
    aktiverar felsökningsutmatning.

EXEMPEL

Hitta alla filer i /usr/bin som inte är dokumenterade i /usr/man/man1 eller som inte har någon källa i /usr/src:

    cd /usr/bin
    whereis -u -ms -M /usr/man/man1 -S /usr/src -f *

FELRAPPORTERING

För felrapporter, använd

TILLGÄNGLIGHET

Kommandot whereis ingår i paketet util-linux som kan hämtas från